Subject: Re: gcc 4.0 and 3.3 at the same time?
From: "Gerrit P. Haase" <[email-masked]>
To: Krzysztof Duleba <[email-masked]>
Cc: [email-masked]
Date: Fri, 22 Apr 2005 11:13:43 +0200

Krzysztof Duleba wrote:

> Hi
> 
> Since gcc 4.0 is out, sooner or later there will be a Cygwin release. As
> much as I look forward to it, I hope it won't replace the current release
> of 3.3.
> 
> I see that C++ headers are kept in /usr/include/c++/3.3.3 and some
> libraries in /lib/gcc-lib/i686-pc-cygwin/3.3.3, but a bunch of libraries
> like libstdc++.a are placed in /lib, so there will be an obvious conflict.
> 
> Does Cygwin gcc maintainer intend to resolve it so that it would be
> possible for gcc 3.3 and 4.0 to coexist? It seems that all one has to do
> is to build gcc with some options so that it keeps its libraries somewhere
> else. I can give it a try and submit a patch to build scripts, but I guess
> that the maintainer will do it with much less effort.

I'll try to do so.  AFAIK it is just one configure flag which needs to
be changed.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/